# Uses of Interface
java.net.http.HttpOption

Packages that use HttpOption
Package
Description
java.net.http
HTTP Client and WebSocket APIs

## Uses of HttpOption in java.net.http

Fields in java.net.http declared as HttpOption
Modifier and Type
Field
Description
`static final HttpOption<HttpOption.Http3DiscoveryMode>`
HttpOption.`H3_DISCOVERY`
An option that can be used to configure how the `HttpClient` will select or establish an HTTP/3 connection through which to carry out the request.
Methods in java.net.http with parameters of type HttpOption
Modifier and Type
Method
Description
`<T> Optional<T>`
HttpRequest.`getOption(HttpOption<T> option)`
Returns the value configured on this request for the given option, if any.
`default <T> HttpRequest.Builder`
HttpRequest.Builder.`setOption(HttpOption<T> option, T value)`
Provides request configuration option hints modeled as key value pairs to help an `HttpClient` implementation decide how the request/response exchange should be established or carried out.